<?php
/**
* Fonts Classes.
*
* @package Dolpa
*/

if ( ! class_exists( 'Dolpa_Fonts' ) ) :
	class Dolpa_Fonts {

		/**
		 * Font Lists Wigh Property
		 */
		public static function dolpa_get_fonts_property( $font ) {

			$fonts = array(

					'Alegreya Sans' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
						),
						'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Alegreya' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Archivo' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Arial' => array(
						'weight' => array(
					   	),
					   	'languages' => array(
						),
					),
                    'Bebas Neue' => array(
						'weight' => array(
                            '400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
						),
					),
					'Cabin' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Cabin' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'DM Sans' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'EB Garamond' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Exo 2' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Fira Sans' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Georgia' => array(
						'weight' => array(
					   	),
					   	'languages' => array(
						),
					),
					'Heebo' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
						),
					   	'languages' => array(
					   		'hebrew' => 'Hebrew',
							'latin' => 'Latin',
						),
					),
					'Helvetica' => array(
						'weight' => array(
					   	),
					   	'languages' => array(
						),
					),
					'IBM Plex Sans' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
						),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'IBM Plex Serif' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
						),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Josefin Sans' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Lato' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Libre Baskerville' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Libre Franklin' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Literata' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Lora' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Merriweather Sans' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Merriweather' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Montserrat' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Muli' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Neuton' => array(
						'weight' => array(
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Noto Sans' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'devanagari' => 'Devanagari',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Nunito Sans' => array(
						'weight' => array(
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Nunito' => array(
						'weight' => array(
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Open Sans' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
                    'Poppins' => array(
						'weight' => array(
                            '100'  => esc_html__( 'Thin 100', 'dolpa' ),
                            '100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
                            '200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
                            '200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
                            '300'  => esc_html__( 'Light 300', 'dolpa' ),
                            '300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
                            '500'  => esc_html__( 'Medium 500', 'dolpa' ),
                            '500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
                            '900'  => esc_html__( 'Black 900', 'dolpa' ),
                            '900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
                            'devanagari' => 'Devanagari',
						),
					),
					'PT Sans Caption' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'PT Sans' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'PT Serif Caption' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'PT Serif' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Playfair Display' => array(
						'weight' => array(				
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Quattrocento Sans' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Quattrocento' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Roboto Condensed' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Roboto Mono' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Roboto Slab' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Roboto' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
						),
						'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Rubik' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'hebrew' => 'Hebrew',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Source Sans Pro' => array(
						'weight' => array(
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Source Serif Pro' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Titillium Web' => array(
						'weight' => array(
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'200i' => esc_html__( 'Extra Light 200 Italic', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Ubuntu' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Vollkorn' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'cyrillic-ext' => 'Cyrillic Extended',
							'greek' => 'Greek',
							'greek-ext' => 'Greek Extended',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Work Sans' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'200'  => esc_html__( 'Extra Light 200', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Abril Fatface' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Anton' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Bitter' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Bree Serif' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Domine' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Fjalla One' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Josefin Slab' => array(
						'weight' => array(
							'100'  => esc_html__( 'Thin 100', 'dolpa' ),
							'100i' => esc_html__( 'Thin 100 Italic ', 'dolpa' ),
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
						),
					),
					'Patua One' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
						),
					),
					'Playfair Display SC' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Playfair Display' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'800i' => esc_html__( 'Extra Bold 800 Italic', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
							'900i' => esc_html__( 'Black 900 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'cyrillic' => 'Cyrillic',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
							'vietnamese' => 'Vietnamese',
						),
					),
					'Questrial' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
						),
					),
					'Righteous' => array(
						'weight' => array(
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Teko' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'800'  => esc_html__( 'Extra Bold 800', 'dolpa' ),
							'900'  => esc_html__( 'Black 900', 'dolpa' ),
					   	),
					   	'languages' => array(
							'devanagari' => 'Devanagari',
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
					'Zilla Slab' => array(
						'weight' => array(
							'300'  => esc_html__( 'Light 300', 'dolpa' ),
							'300i' => esc_html__( 'Light 300 Italic', 'dolpa' ),
							'400'  => esc_html__( 'Regular 400', 'dolpa' ),
							'400i' => esc_html__( 'Regular 400 Italic', 'dolpa' ),
							'500'  => esc_html__( 'Medium 500', 'dolpa' ),
							'500i' => esc_html__( 'Medium 500 Italic', 'dolpa' ),
							'600'  => esc_html__( 'Semi Bold 600', 'dolpa' ),
							'600i' => esc_html__( 'Semi Bold 600 Italic', 'dolpa' ),
							'700'  => esc_html__( 'Bold 700', 'dolpa' ),
							'700i' => esc_html__( 'Bold 700 Italic', 'dolpa' ),
					   	),
					   	'languages' => array(
							'latin' => 'Latin',
							'latin-ext' => 'Latin Extended',
						),
					),
			);

			return $fonts[$font];

		}

		/**
		 * Font URL Return
		 */
		public static function dolpa_get_fonts_url( $font_type = false ){

			$dolpa_default = dolpa_get_default_theme_options();
			$dolpa_body_font = get_theme_mod( 'dolpa_body_font',$dolpa_default['dolpa_body_font'] );

			// List All font in array
			$fonts_lists = array( $dolpa_body_font );

			// Remove if font repeat
			$fonts_lists = array_unique($fonts_lists);


			// Remove Default Fonts
			$remove_font_1 = array_search('Georgia', $fonts_lists);
			if( in_array('Georgia',$fonts_lists) ){ unset($fonts_lists[$remove_font_1]); }

			$remove_font_2 = array_search('Helvetica', $fonts_lists);
			if( in_array('Helvetica',$fonts_lists) ){ unset($fonts_lists[$remove_font_2]); }

			$remove_font_3 = array_search('Arial', $fonts_lists);
			if( in_array('Arial',$fonts_lists) ){ unset($fonts_lists[$remove_font_3]); }

			$dolpa_fonts = array();

			$font_count = count($fonts_lists);

			$j = 1;
			foreach( $fonts_lists as $font ){
				
				// Get Font Property
				$fonts_property = Dolpa_Fonts::dolpa_get_fonts_property( $font );
				$fonts_property_list = '';
				foreach( $fonts_property['weight'] as $key => $weight ){

					$fonts_property_list .= $key.',';

				}

				if( $fonts_property_list ){

					$fonts_property_list = rtrim( $fonts_property_list,',' );
					if( $font_count == $j ){
						$dolpa_fonts[] = $font.':'.$fonts_property_list.'&display=swap';
					}else{
						$dolpa_fonts[] = $font.':'.$fonts_property_list;
					}
				}else{

					if( $font_count == $j ){
						$dolpa_fonts[] = $font.'&display=swap';
					}else{
						$dolpa_fonts[] = $font;
					}
					
				}

				$j++;
			}

			if( $dolpa_fonts ){

		        $i = 0;
		        for ( $i = 0; $i < count( $dolpa_fonts ); $i++ ) {

		            if ( 'off' !== sprintf( _x( 'on', '%s font: on or off', 'dolpa' ), $dolpa_fonts[$i] ) ) {
		                $fonts[] = $dolpa_fonts[$i];
		            }

		        }

		        if ( $fonts ) {
		            $fonts_url = add_query_arg( array(
		                'family' => urldecode( implode( '|', $fonts ) ),
		            ), 'https://fonts.googleapis.com/css' );
		        }

		        return esc_url_raw($fonts_url);

		    }

		}

	}
endif;